com.ihr.xbrl.om

## Class XBRLCatalogSAXSource

- java.lang.Object
- - javax.xml.transform.sax.SAXSource
  - - com.ihr.xbrl.om.XBRLCatalogSAXSource

- All Implemented Interfaces:
    NoReusableSource, XBRLSourceCatalogInterface, javax.xml.transform.Source

      public class XBRLCatalogSAXSource
      extends javax.xml.transform.sax.SAXSource
      implements XBRLSourceCatalogInterface, NoReusableSource

  This is a wrapper class over a SAXSource. the class contains additional information about the source file so it can be recognized as a file found in the XBRL Catalog.
  Since:
    2.6.10
  Author:
    Ignacio

- - ### Field Summary

    - ### Fields inherited from class javax.xml.transform.sax.SAXSource

      `FEATURE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLCatalogSAXSource()` Creates a new empty XBRLCatalogueSaxSource.
    `XBRLCatalogSAXSource(javax.xml.transform.sax.SAXSource other)` Creates a new XBRLCatalogueSaxSource by wrapping an existing SAXSource.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `getLocalFile()` Gets the local file.
    `void` | `setLocalFile(java.io.File f)` Sets the local file to the parameter indicated.

    - ### Methods inherited from class javax.xml.transform.sax.SAXSource

      `getInputSource, getSystemId, getXMLReader, setInputSource, setSystemId, setXMLReader, sourceToInputSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLCatalogSAXSource

          public XBRLCatalogSAXSource()

      Creates a new empty XBRLCatalogueSaxSource.

    - #### XBRLCatalogSAXSource

          public XBRLCatalogSAXSource(javax.xml.transform.sax.SAXSource other)

      Creates a new XBRLCatalogueSaxSource by wrapping an existing SAXSource. the localFile is set to null after creation.
      Parameters:
        `other` - the other

  - ### Method Detail

    - #### setLocalFile

          public void setLocalFile(java.io.File f)

      Description copied from interface: `XBRLSourceCatalogInterface`
      Sets the local file to the parameter indicated.
      Specified by:
        `setLocalFile` in interface `XBRLSourceCatalogInterface`
      Parameters:
        `f` - a File representing a local file in the filesystem

    - #### getLocalFile

          public java.io.File getLocalFile()

      Description copied from interface: `XBRLSourceCatalogInterface`
      Gets the local file.
      Specified by:
        `getLocalFile` in interface `XBRLSourceCatalogInterface`
      Returns:
        File